package com.adealink.weparty.module.room.data

import com.adealink.frame.aab.util.getCompatColor
import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.weparty.R
import com.adealink.weparty.commonui.ext.dp

val createRoomPermissionLD = ExtMutableLiveData<Boolean>()


enum class RoomType(val type: Int) {
    DISPATCH_CENTER(0x0001); //派单厅

    companion object {
        @JvmStatic
        fun isSupportRoomType(type: Int): Boolean {
            return RoomType.entries.find { it.type == type } != null
        }

        @JvmStatic
        fun map(type: Int?): RoomType? {
            return RoomType.entries.find { it.type == type }
        }
    }
}


data class SpeakingRippleConfig(
    val rippleColor: Int = getCompatColor(R.color.color_0DFFFFFF),
    val rippleWidth: Int = 1.5f.dp(),
    val rippleSpace: Int = 4.dp(),
    val rippleSpeed: Int = 800,
    val innerBorderColor: Int = getCompatColor(R.color.color_0DFFFFFF),
    val innerBorderWidth: Int = 1.5f.dp(),
    val rippleStartAlphaDuration: Long = 200L,
    val rippleEndAlphaDuration: Long = 800L,
)